Form Settings
Get or update form settings.
Get Settings
GET /forms/
Response
{
"settings": {
"notifications": {
"email": true,
"emailTo": "[email protected]"
},
"closeDate": null,
"submissionsLimit": null,
"redirectUrl": null
}
}Update Settings
PUT /forms/
Settings are deep merged — only send the fields you want to change.
Response
{
"message": "Settings updated",
"id": "abc123"
}Code Examples
# Get settings
curl https://api.makeform.ai/forms/abc123/settings \
-H "Authorization: Bearer mk_xxxxxxxxxxxxx"# Update settings
curl -X PUT https://api.makeform.ai/forms/abc123/settings \
-H "Authorization: Bearer mk_xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"notifications": {"email": true, "emailTo": "[email protected]"}}'